

class CentralizedMailBackup(object):
	def get(self, subscription):
		return subscription.converted_mail_backup

	def iter_server_settings(self, global_context):
		return global_context.conn.get_centralized_mail_servers().itervalues()


class CentralizedMailBackupRaw(object):
	def get(self, subscription):
		return subscription.raw_mail_backup

	def iter_server_settings(self, global_context):
		return global_context.conn.get_centralized_mail_servers().itervalues()
